Package ghidra.app.context

# Class NavigatableActionContext

java.lang.Object
docking.DefaultActionContext
ghidra.app.context.ProgramActionContext
ghidra.app.context.ProgramLocationActionContext
ghidra.app.context.NavigatableActionContext

All Implemented Interfaces:
  `ActionContext`, `FunctionSupplierContext`, `NavigationActionContext`

Direct Known Subclasses:
  `ListingActionContext`

public class NavigatableActionContext extends ProgramLocationActionContext implements NavigationActionContext

- ## Field Summary

  ### Fields inherited from class ghidra.app.context.ProgramActionContext

  `program`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NavigatableActionContext(ComponentProvider provider, Navigatable navigatable)`
  `NavigatableActionContext(ComponentProvider provider, Navigatable navigatable, Program program, ProgramLocation location, ProgramSelection selection, ProgramSelection highlight)`
  `NavigatableActionContext(ComponentProvider provider, Navigatable navigatable, ProgramLocation location)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Navigatable`
  `getNavigatable()`

  ### Methods inherited from class ghidra.app.context.ProgramLocationActionContext

  `getAddress, getCodeUnit, getFunctionForLocation, getFunctions, getHighlight, getLocation, getSelection, hasFunctions, hasHighlight, hasSelection`

  ### Methods inherited from class ghidra.app.context.ProgramActionContext

  `getProgram`

  ### Methods inherited from class docking.DefaultActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceComponent, setSourceObject, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.ActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceComponent, setSourceObject`

- ## Constructor Details

  - ### NavigatableActionContext

    public NavigatableActionContext(ComponentProvider provider, Navigatable navigatable)

  - ### NavigatableActionContext

    public NavigatableActionContext(ComponentProvider provider, Navigatable navigatable, ProgramLocation location)

  - ### NavigatableActionContext

    public NavigatableActionContext(ComponentProvider provider, Navigatable navigatable, Program program, ProgramLocation location, ProgramSelection selection, ProgramSelection highlight)

- ## Method Details

  - ### getNavigatable

    public Navigatable getNavigatable()